---
title: "Pages the customer's checkouts."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › checkout

`GET /v1/stores/{store}/checkouts`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`listCheckouts.path.store`; string, required) — A hostname of the store.

## Query parameters

- `filter` (`listCheckouts.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listCheckouts.query.sort`; string, optional)
  - one of `"created"`
- `direction` (`listCheckouts.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listCheckouts.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listCheckouts.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listCheckouts.query.count`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/checkouts' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/checkouts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/checkouts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages the customer's checkouts.

#### Example

```json
{
  "total": 0,
  "items": [
    {
      "status": "string",
      "order": {
        "id": "string",
        "number": 0
      },
      "under_minimum": {
        "processor": "stripe",
        "amount": 0,
        "minimum": 0
      },
      "refund_consent": "string",
      "card_required": {
        "reason": "string"
      },
      "items": [
        {
          "product": {
            "id": "string",
            "slug": "string",
            "path": "string",
            "url": "string",
            "title": "string",
            "category": "string",
            "deleted": true
          },
          "autorenew": true,
          "first_charge_at": "string",
          "refund_policy": "string",
          "refund_until": "string",
          "id": "string",
          "product_id": "string",
          "price_id": "string",
          "quantity": 0,
          "amount": 0,
          "discount": 0,
          "discount_id": "string",
          "total": 0,
          "mode": "string",
          "display_name": "string",
          "message": "string",
          "guests": [
            {
              "email": "string",
              "name": "string"
            }
          ]
        }
      ],
      "totals": {
        "amount": 0,
        "discount": 0,
        "total": 0
      },
      "id": "string",
      "currency": "string",
      "exponent": 0,
      "coupon": "string",
      "refund_waiver": {
        "policy": "string",
        "accepted_at": "string"
      },
      "expires_at": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "cursor": "string"
}
```

- `items` (`listCheckouts.response.200.items`; array<object>, required)
  - `status` (`listCheckouts.response.200.items.status`; string, required)
  - `order` (`listCheckouts.response.200.items.order`; any of, required)
    - any of: `object`, `null`
  - `under_minimum` (`listCheckouts.response.200.items.under_minimum`; any of, required)
    - any of: `object`, `null`
  - `refund_consent` (`listCheckouts.response.200.items.refund_consent`; any of, required)
    - any of: `string`, `null`
  - `card_required` (`listCheckouts.response.200.items.card_required`; any of, required)
    - any of: `object`, `null`
  - `items` (`listCheckouts.response.200.items.items`; array<object>, required)
    - `product` (`listCheckouts.response.200.items.items.product`; any of, required)
      - any of: `object`, `null`
    - `autorenew` (`listCheckouts.response.200.items.items.autorenew`; any of, required)
      - any of: `boolean`, `null`
    - `first_charge_at` (`listCheckouts.response.200.items.items.first_charge_at`; any of, required)
      - any of: `string`, `null`
    - `refund_policy` (`listCheckouts.response.200.items.items.refund_policy`; any of, required)
      - any of: `string`, `null`
    - `refund_until` (`listCheckouts.response.200.items.items.refund_until`; any of, required)
      - any of: `string`, `null`
    - `id` (`listCheckouts.response.200.items.items.id`; string, required)
    - `product_id` (`listCheckouts.response.200.items.items.product_id`; string, required)
    - `price_id` (`listCheckouts.response.200.items.items.price_id`; string, required)
    - `quantity` (`listCheckouts.response.200.items.items.quantity`; number, required)
    - `amount` (`listCheckouts.response.200.items.items.amount`; number, required)
    - `discount` (`listCheckouts.response.200.items.items.discount`; number, required)
    - `discount_id` (`listCheckouts.response.200.items.items.discount_id`; any of, required)
      - any of: `string`, `null`
    - `total` (`listCheckouts.response.200.items.items.total`; number, required)
    - `mode` (`listCheckouts.response.200.items.items.mode`; string, required)
    - `display_name` (`listCheckouts.response.200.items.items.display_name`; any of, required)
      - any of: `string`, `null`
    - `message` (`listCheckouts.response.200.items.items.message`; any of, required)
      - any of: `string`, `null`
    - `guests` (`listCheckouts.response.200.items.items.guests`; array<object>, required)
      - `email` (`listCheckouts.response.200.items.items.guests.email`; string, required)
      - `name` (`listCheckouts.response.200.items.items.guests.name`; any of, required)
        - any of: `string`, `null`
  - `totals` (`listCheckouts.response.200.items.totals`; object, required)
    - `amount` (`listCheckouts.response.200.items.totals.amount`; number, required)
    - `discount` (`listCheckouts.response.200.items.totals.discount`; number, required)
    - `total` (`listCheckouts.response.200.items.totals.total`; number, required)
  - `id` (`listCheckouts.response.200.items.id`; string, required)
  - `currency` (`listCheckouts.response.200.items.currency`; string, required)
  - `exponent` (`listCheckouts.response.200.items.exponent`; any of, required)
    - any of: `number`, `null`
  - `coupon` (`listCheckouts.response.200.items.coupon`; any of, required)
    - any of: `string`, `null`
  - `refund_waiver` (`listCheckouts.response.200.items.refund_waiver`; any of, required)
    - any of: `object`, `null`
  - `expires_at` (`listCheckouts.response.200.items.expires_at`; any of, required)
    - any of: `string`, `null`
  - `created_at` (`listCheckouts.response.200.items.created_at`; any of, required)
    - any of: `string`, `null`
  - `updated_at` (`listCheckouts.response.200.items.updated_at`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listCheckouts.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listCheckouts.response.200.total`; number, optional)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listCheckouts.response.default.type`; string, required)
  - format `uri`
- `title` (`listCheckouts.response.default.title`; string, required)
- `status` (`listCheckouts.response.default.status`; integer, required)
- `detail` (`listCheckouts.response.default.detail`; string, required)
- `code` (`listCheckouts.response.default.code`; string, optional)
- `context` (`listCheckouts.response.default.context`; object, optional)
- `reached_core` (`listCheckouts.response.default.reached_core`; boolean, optional)
- `core_answer` (`listCheckouts.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/list-checkouts/index.md
